Package: org.gradle.api.publish.maven

## [Java] Class InvalidMavenPublicationException

- org.gradle.api.publish.maven.InvalidMavenPublicationException

- Thrown when attempting to publish with an invalid MavenPublication.

  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvalidMavenPublicationException (String publicationName, String error)`
    `InvalidMavenPublicationException (String publicationName, String error, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public InvalidMavenPublicationException(String publicationName, String error)

    - #### public InvalidMavenPublicationException(String publicationName, String error, Throwable cause)